> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# List role bindings

GET /apis/auth/v2/iam/role-bindings

List all role bindings (Platform Admin only)

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/iam/list-role-bindings-apis-auth-v-2-iam-role-bindings-get

## Request

### Query parameters

- `page` (integer, optional, default: 1) — Page number.
- `page_size` (integer, optional, default: 10) — Page size.
- `sort` (string, optional, default: created_at) — The field to sort by. To sort in decreasing order, use `-` in front of the field name.
- `filter` (object, optional) — Filter role bindings by principal, workspace, role, granted_by, is_active, granted_at, and revoked_at.
  - `principal` (object or string, optional) — Filter by principal ID
    - StringFilter
      - `$eq` (string, optional) — Filter for results equal to this value.
      - `$like` (string, optional) — Filter for results matching this pattern.
      - `$in` (list of string, optional) — Filter for results in this list of values.
      - `$nin` (list of string, optional) — Filter for results not in this list of values.
  - `workspace` (string, optional) — Filter by workspace
  - `role` (object or string, optional) — Filter by role
    - StringFilter
      - `$eq` (string, optional) — Filter for results equal to this value.
      - `$like` (string, optional) — Filter for results matching this pattern.
      - `$in` (list of string, optional) — Filter for results in this list of values.
      - `$nin` (list of string, optional) — Filter for results not in this list of values.
  - `granted_by` (object or string, optional) — Filter by who granted the role
    - StringFilter
      - `$eq` (string, optional) — Filter for results equal to this value.
      - `$like` (string, optional) — Filter for results matching this pattern.
      - `$in` (list of string, optional) — Filter for results in this list of values.
      - `$nin` (list of string, optional) — Filter for results not in this list of values.
  - `is_active` (boolean, optional) — Filter for active (True) or revoked (False) bindings
  - `granted_at` (object, optional) — Filter by granted date range
    - `gte` (datetime, optional) — Greater than or equal to this date
    - `lte` (datetime, optional) — Less than or equal to this date
  - `revoked_at` (object, optional) — Filter by revoked date range
    - `gte` (datetime, optional) — Greater than or equal to this date
    - `lte` (datetime, optional) — Less than or equal to this date

## Response

### 200

Successful Response

- `data` (list of object, required)
  - `id` (string, required)
  - `name` (string, required)
  - `principal` (string, required)
  - `workspace` (string, required)
  - `role` (string, required)
  - `granted_by` (string, required)
  - `granted_at` (datetime, required)
  - `revoked_at` (datetime, required)
- `pagination` (object, optional) — Pagination information.
  - `page` (integer, required) — The current page number.
  - `page_size` (integer, required) — The page size used for the query.
  - `current_page_size` (integer, required) — The size for the current page.
  - `total_pages` (integer, required) — The total number of pages.
  - `total_results` (integer, required) — The total number of results.
- `sort` (string, optional) — The field on which the results are sorted.
- `filter` (map from string to any, optional) — Filtering information.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "principal": "string",
      "workspace": "string",
      "role": "string",
      "granted_by": "string",
      "granted_at": "2024-01-15T09:30:00Z",
      "revoked_at": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "string",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/auth/v2/iam/role-bindings"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/auth/v2/iam/role-bindings';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/auth/v2/iam/role-bindings"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/auth/v2/iam/role-bindings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/auth/v2/iam/role-bindings")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/auth/v2/iam/role-bindings');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/auth/v2/iam/role-bindings");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/auth/v2/iam/role-bindings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```